"
 COPYRIGHT (c) 1997 by eXept Software AG / Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"



"{ Package: 'stx:libcompat' }"

ColorPalette subclass:#FixedPalette
	instanceVariableNames:'redShift redMask greenShift greenMask blueShift blueMask'
	classVariableNames:''
	poolDictionaries:''
	category:'Graphics-Images-Support'
!

!FixedPalette class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 by eXept Software AG / Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


!

documentation
"
    This class will (sooner or later) take over and/or redefine some of the Colormap functionality.
    This migration will be done both to cleanup the code and for VW compatibility.

    Notice: For now, the whole functionality is still in Colormap

    [see also:]
	Color Image Form
"
! !

!FixedPalette class methodsFor:'instance creation'!

redShift:reds redMask:redm greenShift:grns greenMask:grnm blueShift:blus blueMask:blum
    ^ self new 
	redShift:reds redMask:redm 
	greenShift:grns greenMask:grnm 
	blueShift:blus blueMask:blum

    "Created: 20.6.1997 / 16:15:15 / cg"
! !

!FixedPalette methodsFor:'accessing'!

redShift:rs redMask:rm greenShift:gs greenMask:gm blueShift:bs blueMask:bm
    redShift := rs.
    redMask := rm.
    greenShift := gs.
    greenMask := gm.
    blueShift := bs.
    blueMask := bm

    "Created: 20.6.1997 / 16:16:49 / cg"
! !

!FixedPalette class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview/FixedPalette.st,v 1.2 2003-04-10 14:48:59 cg Exp $'
! !
